services:
  database:
    image: iut/pgsql:2025-08
    environment:
      POSTGRES_INITDB_ARGS: "--locale-provider=icu --icu-locale=fr-FR"
      POSTGRES_DB: ${COMPOSE_PROJECT_NAME}
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD:-!ChangeMe!}
      POSTGRES_USER: ${COMPOSE_PROJECT_NAME}
    volumes:
      - database_data:/var/lib/postgresql/data:rw
      - ./docker-entrypoint-initdb.d:/docker-entrypoint-initdb.d:Z
      - ./data:/tmp:Z
    ports:
      - 5432:5432

volumes:
  database_data:
